MPD: FileInfo Class Reference

MPD 0.20.18

Public Member Functions | Friends
FileInfo Class Reference

`#include <FileInfo.hxx>`

## Public Member Functions
| FileInfo ()=default
| FileInfo (Path path, bool follow_symlinks=true)
bool | IsRegular () const
bool | IsDirectory () const
uint64_t | GetSize () const
time_t | GetModificationTime () const
uid_t | GetUid () const
mode_t | GetMode () const
dev_t | GetDevice () const
ino_t | GetInode () const

## Friends
class | FileReader
bool | GetFileInfo (Path path, FileInfo &info, bool follow_symlinks)

## Detailed Description

Definition at line 52 of file FileInfo.hxx.

## Constructor & Destructor Documentation

## ◆ FileInfo() [1/2]

FileInfo::FileInfo | ( |  | ) |
| default

## ◆ FileInfo() [2/2]

FileInfo::FileInfo | ( | Path | path,
|  | bool | follow_symlinks = `true`
| ) |  |
| inline

Definition at line 66 of file FileInfo.hxx.

## Member Function Documentation

## ◆ GetDevice()

dev_t FileInfo::GetDevice | ( |  | ) | const
| inline

Definition at line 120 of file FileInfo.hxx.

## ◆ GetInode()

ino_t FileInfo::GetInode | ( |  | ) | const
| inline

Definition at line 124 of file FileInfo.hxx.

## ◆ GetMode()

mode_t FileInfo::GetMode | ( |  | ) | const
| inline

Definition at line 116 of file FileInfo.hxx.

## ◆ GetModificationTime()

time_t FileInfo::GetModificationTime | ( |  | ) | const
| inline

Definition at line 103 of file FileInfo.hxx.

## ◆ GetSize()

uint64_t FileInfo::GetSize | ( |  | ) | const
| inline

Definition at line 95 of file FileInfo.hxx.

## ◆ GetUid()

uid_t FileInfo::GetUid | ( |  | ) | const
| inline

Definition at line 112 of file FileInfo.hxx.

## ◆ IsDirectory()

bool FileInfo::IsDirectory | ( |  | ) | const
| inline

Definition at line 87 of file FileInfo.hxx.

## ◆ IsRegular()

bool FileInfo::IsRegular | ( |  | ) | const
| inline

Definition at line 78 of file FileInfo.hxx.

## Friends And Related Function Documentation

## ◆ FileReader

friend class FileReader
| friend

Definition at line 55 of file FileInfo.hxx.

## ◆ GetFileInfo

bool GetFileInfo | ( | Path | path,
|  | FileInfo & | info,
|  | bool | follow_symlinks = `true`
| ) |  |
| friend

Definition at line 131 of file FileInfo.hxx.

The documentation for this class was generated from the following file:

- fs/FileInfo.hxx